gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libmicrohttpd] branch master updated: contrib/autotools-patches/apply-a


From: gnunet
Subject: [libmicrohttpd] branch master updated: contrib/autotools-patches/apply-all.sh: implemented correct return value
Date: Sun, 26 Dec 2021 15:42:38 +0100

This is an automated email from the git hooks/post-receive script.

karlson2k pushed a commit to branch master
in repository libmicrohttpd.

The following commit(s) were added to refs/heads/master by this push:
     new b800cc1e contrib/autotools-patches/apply-all.sh: implemented correct 
return value
b800cc1e is described below

commit b800cc1ec295f401a448b43f952bb27ef102d15d
Author: Evgeny Grin (Karlson2k) <k2k@narod.ru>
AuthorDate: Sun Dec 26 17:42:32 2021 +0300

    contrib/autotools-patches/apply-all.sh: implemented correct return value
---
 contrib/autotools-patches/apply-all.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/contrib/autotools-patches/apply-all.sh 
b/contrib/autotools-patches/apply-all.sh
index ed9c4268..87e7edec 100755
--- a/contrib/autotools-patches/apply-all.sh
+++ b/contrib/autotools-patches/apply-all.sh
@@ -30,5 +30,9 @@ for patch in ${patches[@]}; do
   patch -N -p1 --no-backup-if-mismatch -r - -i "${patchesdir}/${patch}" || 
failed+=("$patch")
 done
 
-[[ -n "${failed[@]}" ]] && printf 'Failed patch: %s\n' "${failed[@]}" >&2
+if [[ -n "${failed[@]}" ]]; then
+  printf 'Failed patch: %s\n' "${failed[@]}" >&2
+  exit 2
+fi
 
+exit 0

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]